<?php
if ( ! defined( 'ABSPATH' ) ) exit;
global $wpdb;
global $MSQS_QL;

$server_db = $MSQS_QL->db_check_get_fields_details();

$tables = array(
	'mw_wc_qbo_sync_customer_pairs',
	'mw_wc_qbo_sync_log',
	'mw_wc_qbo_sync_paymentmethod_map',
	'mw_wc_qbo_sync_payment_id_map',
	'mw_wc_qbo_sync_product_pairs',
	'mw_wc_qbo_sync_promo_code_product_map',
	'mw_wc_qbo_sync_qbo_customers',
	'mw_wc_qbo_sync_qbo_items',
	'mw_wc_qbo_sync_real_time_sync_history',
	'mw_wc_qbo_sync_real_time_sync_queue',
	'mw_wc_qbo_sync_shipping_product_map',
	'mw_wc_qbo_sync_tax_map',
	'mw_wc_qbo_sync_variation_pairs',
	'mw_wc_qbo_sync_wq_cf_map'
);
?>
<div class="mw_qbo_sync_db_fix_body">
<div class="mw_qbo_sync_db_fix_section_page_title"><h4>Manual Database Repair</h4></div>

<?php 
foreach($tables as $table){
	if(!array_key_exists($wpdb->prefix.$table,$server_db)){
		$flag = 'error';
		?>
		<div class="mw_qbo_sync_db_fix_section">
		<p class="mw_qbo_sync_db_fix_has_error">You've missing database table <span class="mw_qbo_sync_highlight"><?php echo $wpdb->prefix.$table ?></span> on server. Please click the following link to fix.</p>
		<a class="mw_qbo_sync_db_fix_repair" href="<?php echo admin_url('admin.php?page=myworks-wc-qbo-sync-db-fix&issue='.$table) ?>">Click here.</a>
		</div>
		<?php
	}
} 

if(!array_key_exists('is_wc_order', $server_db[$wpdb->prefix.'mw_wc_qbo_sync_payment_id_map'])){
	$flag = 'error';
?>
	<div class="mw_qbo_sync_db_fix_section">
	<p class="mw_qbo_sync_db_fix_has_error">You've missing table column <span class="mw_qbo_sync_highlight">is_wc_order</span> on <span class="mw_qbo_sync_highlight"><?php echo $wpdb->prefix.$table ?></span> table. Please click the following link to fix.</p>
	<a class="mw_qbo_sync_db_fix_repair" href="<?php echo admin_url('admin.php?page=myworks-wc-qbo-sync-db-fix&issue=is_wc_order') ?>">Click here.</a>
	</div>
	<?php
}

if(!array_key_exists('ps_order_status', $server_db[$wpdb->prefix.'mw_wc_qbo_sync_paymentmethod_map'])){
	$flag = 'error';
?>
	<div class="mw_qbo_sync_db_fix_section">
	<p class="mw_qbo_sync_db_fix_has_error">You've missing table column <span class="mw_qbo_sync_highlight">ps_order_status</span> on <span class="mw_qbo_sync_highlight"><?php echo $wpdb->prefix.$table ?></span> table. Please click the following link to fix.</p>
	<a class="mw_qbo_sync_db_fix_repair" href="<?php echo admin_url('admin.php?page=myworks-wc-qbo-sync-db-fix&issue=ps_order_status') ?>">Click here.</a>
	</div>
	<?php
}

if(!array_key_exists('individual_batch_support', $server_db[$wpdb->prefix.'mw_wc_qbo_sync_paymentmethod_map'])){
	$flag = 'error';
?>
	<div class="mw_qbo_sync_db_fix_section">
	<p class="mw_qbo_sync_db_fix_has_error">You've missing table column <span class="mw_qbo_sync_highlight">individual_batch_support</span> on <span class="mw_qbo_sync_highlight"><?php echo $wpdb->prefix.$table ?></span> table. Please click the following link to fix.</p>
	<a class="mw_qbo_sync_db_fix_repair" href="<?php echo admin_url('admin.php?page=myworks-wc-qbo-sync-db-fix&issue=individual_batch_support') ?>">Click here.</a>
	</div>
	<?php
}

if(!array_key_exists('deposit_cron_utc', $server_db[$wpdb->prefix.'mw_wc_qbo_sync_paymentmethod_map'])){
	$flag = 'error';
?>
	<div class="mw_qbo_sync_db_fix_section">
	<p class="mw_qbo_sync_db_fix_has_error">You've missing table column <span class="mw_qbo_sync_highlight">deposit_cron_utc</span> on <span class="mw_qbo_sync_highlight"><?php echo $wpdb->prefix.$table ?></span> table. Please click the following link to fix.</p>
	<a class="mw_qbo_sync_db_fix_repair" href="<?php echo admin_url('admin.php?page=myworks-wc-qbo-sync-db-fix&issue=deposit_cron_utc') ?>">Click here.</a>
	</div>
	<?php
}

if(!isset($flag)){
?>
	<div class="mw_qbo_sync_db_fix_section">
	<p class="mw_qbo_sync_db_fix_no_error">You don't have any issue with database tables.</p>
	</div>
<?php } ?>
</div>